<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Driver ServiceType
 * @subpackage Services
 */
class Driver extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named DriverPrivateUsageReport
     * Meta information extracted from the WSDL
     * - documentation: Surucu ozel kullanim durumunu raporlar. - It reports driver private usage report. | Surucu ozel kullanim durumunu raporlar. - It reports driver private usage report. | Surucu ozel kullanim durumunu raporlar. - It reports driver
     * private usage report.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DriverPrivateUsageReport $parameters
     * @return \StructType\DriverPrivateUsageReportResponse|bool
     */
    public function DriverPrivateUsageReport(\StructType\DriverPrivateUsageReport $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->DriverPrivateUsageReport($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named DriverInformation
     * Meta information extracted from the WSDL
     * - documentation: Girilen plaka veya cihaz numarasına ait girilen tarihten 6 saat önce ve 1 dakika sonra arasındaki son sürücü bilgisini verir. Plaka ve cihaz numarası aynı anda girilemez. Grilen tarih formatı GMT olmalıdır. - It generates
     * driver information from license plate or device number.Both license plate and device number cannot be used at the same time. The entered date format should be GMT. | Girilen plaka veya cihaz numarasına ait girilen tarihten 6 saat önce ve 1 dakika
     * sonra arasındaki son sürücü bilgisini verir. Plaka ve cihaz numarası aynı anda girilemez. Grilen tarih formatı GMT olmalıdır. - It generates driver information from license plate or device number.Both license plate and device number cannot
     * be used at the same time. The entered date format should be GMT. | Girilen plaka veya cihaz numarasına ait girilen tarihten 6 saat önce ve 1 dakika sonra arasındaki son sürücü bilgisini verir. Plaka ve cihaz numarası aynı anda girilemez.
     * Grilen tarih formatı GMT olmalıdır. - It generates driver information from license plate or device number.Both license plate and device number cannot be used at the same time. The entered date format should be GMT.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DriverInformation $parameters
     * @return \StructType\DriverInformationResponse|bool
     */
    public function DriverInformation(\StructType\DriverInformation $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->DriverInformation($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\DriverInformationResponse|\StructType\DriverPrivateUsageReportResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
