<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for General ServiceType
 * @subpackage Services
 */
class General extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named GeneralReport
     * Meta information extracted from the WSDL
     * - documentation: Cihazdan gelen tum verilerin gosterildigi, genel raporu olusturur. Genel rapor ile, cihaz hangi alarmi veya paketi ne zaman gonderdigi bilgisi raporlanir. Genel Rapor metotunda 'chk' ile baslayan alanlar hangi alarm tipinin
     * istenecegini belirler. Istenilen rapor tipi '1' olarak isaretlenmelidir. - Generates a general report showing all data from the device. General report shows each alarms/packet that the device sent. Fields that start with 'chk' in the General Report
     * method specify which alarm Type is requested. The desired report type should be marked as '1' | Cihazdan gelen tum verilerin gosterildigi, genel raporu olusturur. Genel rapor ile, cihaz hangi alarmi veya paketi ne zaman gonderdigi bilgisi raporlanir.
     * Genel Rapor metotunda 'chk' ile baslayan alanlar hangi alarm tipinin istenecegini belirler. Istenilen rapor tipi '1' olarak isaretlenmelidir. - Generates a general report showing all data from the device. General report shows each alarms/packet that
     * the device sent. Fields that start with 'chk' in the General Report method specify which alarm Type is requested. The desired report type should be marked as '1' | Cihazdan gelen tum verilerin gosterildigi, genel raporu olusturur. Genel rapor ile,
     * cihaz hangi alarmi veya paketi ne zaman gonderdigi bilgisi raporlanir. Genel Rapor metotunda 'chk' ile baslayan alanlar hangi alarm tipinin istenecegini belirler. Istenilen rapor tipi '1' olarak isaretlenmelidir. - Generates a general report showing
     * all data from the device. General report shows each alarms/packet that the device sent. Fields that start with 'chk' in the General Report method specify which alarm Type is requested. The desired report type should be marked as '1'
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GeneralReport $parameters
     * @return \StructType\GeneralReportResponse|bool
     */
    public function GeneralReport(\StructType\GeneralReport $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GeneralReport($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GeneralReportReturnObject
     * Meta information extracted from the WSDL
     * - documentation: Cihazdan gelen tum verilerin gosterildigi, genel raporu olusturur. Genel rapor ile, cihaz hangi alarmi veya paketi ne zaman gonderdigi bilgisi raporlanir. Genel Rapor metotunda 'chk' ile baslayan alanlar hangi alarm tipinin
     * istenecegini belirler. Istenilen rapor tipi '1' olarak isaretlenmelidir. GeneralReport methodundan farkli olarak sonucu XmlDocument tipinde dondurur. - Generates a general report showing all data from the device. General report shows each
     * alarms/packet that the device sent. Fields that start with 'chk' in the General Report method specify which alarm Type is requested. The desired report type should be marked as '1'. Differently from the GeneralReport method, returns the result as
     * XmlDocument type. | Cihazdan gelen tum verilerin gosterildigi, genel raporu olusturur. Genel rapor ile, cihaz hangi alarmi veya paketi ne zaman gonderdigi bilgisi raporlanir. Genel Rapor metotunda 'chk' ile baslayan alanlar hangi alarm tipinin
     * istenecegini belirler. Istenilen rapor tipi '1' olarak isaretlenmelidir. GeneralReport methodundan farkli olarak sonucu XmlDocument tipinde dondurur. - Generates a general report showing all data from the device. General report shows each
     * alarms/packet that the device sent. Fields that start with 'chk' in the General Report method specify which alarm Type is requested. The desired report type should be marked as '1'. Differently from the GeneralReport method, returns the result as
     * XmlDocument type. | Cihazdan gelen tum verilerin gosterildigi, genel raporu olusturur. Genel rapor ile, cihaz hangi alarmi veya paketi ne zaman gonderdigi bilgisi raporlanir. Genel Rapor metotunda 'chk' ile baslayan alanlar hangi alarm tipinin
     * istenecegini belirler. Istenilen rapor tipi '1' olarak isaretlenmelidir. GeneralReport methodundan farkli olarak sonucu XmlDocument tipinde dondurur. - Generates a general report showing all data from the device. General report shows each
     * alarms/packet that the device sent. Fields that start with 'chk' in the General Report method specify which alarm Type is requested. The desired report type should be marked as '1'. Differently from the GeneralReport method, returns the result as
     * XmlDocument type.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GeneralReportReturnObject $parameters
     * @return \StructType\GeneralReportReturnObjectResponse|bool
     */
    public function GeneralReportReturnObject(\StructType\GeneralReportReturnObject $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GeneralReportReturnObject($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GeneralReport2
     * Meta information extracted from the WSDL
     * - documentation: Cihazdan gelen tum verilerin gosterildigi, genel raporu olusturur. Genel rapor ile, cihaz hangi alarmi veya paketi ne zaman gonderdigi bilgisi raporlanir. Genel Rapor metotunda 'chk' ile baslayan alanlar hangi alarm tipinin
     * istenecegini belirler. Istenilen rapor tipi '1' olarak isaretlenmelidir. - Generates a general report showing all data from the device. General report shows each alarms/packet that the device sent. Fields that start with 'chk' in the General Report
     * method specify which alarm Type is requested. The desired report type should be marked as '1'. | Cihazdan gelen tum verilerin gosterildigi, genel raporu olusturur. Genel rapor ile, cihaz hangi alarmi veya paketi ne zaman gonderdigi bilgisi
     * raporlanir. Genel Rapor metotunda 'chk' ile baslayan alanlar hangi alarm tipinin istenecegini belirler. Istenilen rapor tipi '1' olarak isaretlenmelidir. - Generates a general report showing all data from the device. General report shows each
     * alarms/packet that the device sent. Fields that start with 'chk' in the General Report method specify which alarm Type is requested. The desired report type should be marked as '1'. | Cihazdan gelen tum verilerin gosterildigi, genel raporu olusturur.
     * Genel rapor ile, cihaz hangi alarmi veya paketi ne zaman gonderdigi bilgisi raporlanir. Genel Rapor metotunda 'chk' ile baslayan alanlar hangi alarm tipinin istenecegini belirler. Istenilen rapor tipi '1' olarak isaretlenmelidir. - Generates a
     * general report showing all data from the device. General report shows each alarms/packet that the device sent. Fields that start with 'chk' in the General Report method specify which alarm Type is requested. The desired report type should be marked
     * as '1'.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GeneralReport2 $parameters
     * @return \StructType\GeneralReport2Response|bool
     */
    public function GeneralReport2(\StructType\GeneralReport2 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GeneralReport2($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GeneralReportWithDistance
     * Meta information extracted from the WSDL
     * - documentation: Cihazdan gelen tum verilerin gosterildigi, genel raporu olusturur. Bu rapor ile cihaz hangi alarmi veya paketi ne zaman gonderdigi bilgisinin yani sira iki kayit arasindaki mesafe bilgisini de raporlar. Genel Rapor metotunda 'chk'
     * ile baslayan alanlar hangi alarm tipinin istenecegini belirler. Istenilen rapor tipi '1' olarak isaretlenmelidir. - Generates a general report showing all data from the device. With this report, the device reports the distance information between the
     * two records as well as the information on which alarm or packet it sent. Fields that start with 'chk' in the General Report method specify which alarm Type is requested. The selected report type should be marked as '1'. | Cihazdan gelen tum verilerin
     * gosterildigi, genel raporu olusturur. Bu rapor ile cihaz hangi alarmi veya paketi ne zaman gonderdigi bilgisinin yani sira iki kayit arasindaki mesafe bilgisini de raporlar. Genel Rapor metotunda 'chk' ile baslayan alanlar hangi alarm tipinin
     * istenecegini belirler. Istenilen rapor tipi '1' olarak isaretlenmelidir. - Generates a general report showing all data from the device. With this report, the device reports the distance information between the two records as well as the information
     * on which alarm or packet it sent. Fields that start with 'chk' in the General Report method specify which alarm Type is requested. The selected report type should be marked as '1'. | Cihazdan gelen tum verilerin gosterildigi, genel raporu olusturur.
     * Bu rapor ile cihaz hangi alarmi veya paketi ne zaman gonderdigi bilgisinin yani sira iki kayit arasindaki mesafe bilgisini de raporlar. Genel Rapor metotunda 'chk' ile baslayan alanlar hangi alarm tipinin istenecegini belirler. Istenilen rapor tipi
     * '1' olarak isaretlenmelidir. - Generates a general report showing all data from the device. With this report, the device reports the distance information between the two records as well as the information on which alarm or packet it sent. Fields that
     * start with 'chk' in the General Report method specify which alarm Type is requested. The selected report type should be marked as '1'.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GeneralReportWithDistance $parameters
     * @return \StructType\GeneralReportWithDistanceResponse|bool
     */
    public function GeneralReportWithDistance(\StructType\GeneralReportWithDistance $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GeneralReportWithDistance($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * GeneralReportWithDistanceReturnObject
     * Meta information extracted from the WSDL
     * - documentation: Cihazdan gelen tum verilerin gosterildigi, genel raporu olusturur. Bu rapor ile cihaz hangi alarmi veya paketi ne zaman gonderdigi bilgisinin yani sira iki kayit arasindaki mesafe bilgisini de raporlar. Genel Rapor metotunda 'chk'
     * ile baslayan alanlar hangi alarm tipinin istenecegini belirler. Istenilen rapor tipi '1' olarak isaretlenmelidir. Sonucu XmlDocument tipinde dondurur. - Generates a general report showing all data from the device. With this report, the device reports
     * the distance information between the two records as well as the information on which alarm or packet it sent. Fields that start with 'chk' in the General Report method specify which alarm Type is requested. The selected report type should be marked
     * as '1'. Relevant result returns as XmlDocument type. | Cihazdan gelen tum verilerin gosterildigi, genel raporu olusturur. Bu rapor ile cihaz hangi alarmi veya paketi ne zaman gonderdigi bilgisinin yani sira iki kayit arasindaki mesafe bilgisini de
     * raporlar. Genel Rapor metotunda 'chk' ile baslayan alanlar hangi alarm tipinin istenecegini belirler. Istenilen rapor tipi '1' olarak isaretlenmelidir. Sonucu XmlDocument tipinde dondurur. - Generates a general report showing all data from the
     * device. With this report, the device reports the distance information between the two records as well as the information on which alarm or packet it sent. Fields that start with 'chk' in the General Report method specify which alarm Type is
     * requested. The selected report type should be marked as '1'. Relevant result returns as XmlDocument type. | Cihazdan gelen tum verilerin gosterildigi, genel raporu olusturur. Bu rapor ile cihaz hangi alarmi veya paketi ne zaman gonderdigi bilgisinin
     * yani sira iki kayit arasindaki mesafe bilgisini de raporlar. Genel Rapor metotunda 'chk' ile baslayan alanlar hangi alarm tipinin istenecegini belirler. Istenilen rapor tipi '1' olarak isaretlenmelidir. Sonucu XmlDocument tipinde dondurur. -
     * Generates a general report showing all data from the device. With this report, the device reports the distance information between the two records as well as the information on which alarm or packet it sent. Fields that start with 'chk' in the
     * General Report method specify which alarm Type is requested. The selected report type should be marked as '1'. Relevant result returns as XmlDocument type.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GeneralReportWithDistanceReturnObject $parameters
     * @return \StructType\GeneralReportWithDistanceReturnObjectResponse|bool
     */
    public function GeneralReportWithDistanceReturnObject(\StructType\GeneralReportWithDistanceReturnObject $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GeneralReportWithDistanceReturnObject($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\GeneralReport2Response|\StructType\GeneralReportResponse|\StructType\GeneralReportReturnObjectResponse|\StructType\GeneralReportWithDistanceResponse|\StructType\GeneralReportWithDistanceReturnObjectResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
