<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Region ServiceType
 * @subpackage Services
 */
class Region extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named RegionAlarm
     * Meta information extracted from the WSDL
     * - documentation: Cografi bolge alarmlari listelenir. Bu metot ile tanimli olan cografi bolgeye, aracin ne zaman giris/cikis yaptigi listelenmektedir. - Geographical region alarms are listed. This method lists when the vehicle entered/exited
     * predefined geographical regions. | Cografi bolge alarmlari listelenir. Bu metot ile tanimli olan cografi bolgeye, aracin ne zaman giris/cikis yaptigi listelenmektedir. - Geographical region alarms are listed. This method lists when the vehicle
     * entered/exited predefined geographical regions. | Cografi bolge alarmlari listelenir. Bu metot ile tanimli olan cografi bolgeye, aracin ne zaman giris/cikis yaptigi listelenmektedir. - Geographical region alarms are listed. This method lists when the
     * vehicle entered/exited predefined geographical regions.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\RegionAlarm $parameters
     * @return \StructType\RegionAlarmResponse|bool
     */
    public function RegionAlarm(\StructType\RegionAlarm $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->RegionAlarm($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named RegionAlarmReturnObject
     * Meta information extracted from the WSDL
     * - documentation: Cografi bolge alarmlari listelenir. Bu metot ile tanimli olan cografi bolgeye, aracin ne zaman giris/cikis yaptigi listelenmektedir. Sonuc XmlDocument tipinde doner. - Geographical region alarms are listed. This method lists when the
     * vehicle entered/exited predefined geographical regions. Result returns as XmlDocument type. | Cografi bolge alarmlari listelenir. Bu metot ile tanimli olan cografi bolgeye, aracin ne zaman giris/cikis yaptigi listelenmektedir. Sonuc XmlDocument
     * tipinde doner. - Geographical region alarms are listed. This method lists when the vehicle entered/exited predefined geographical regions. Result returns as XmlDocument type. | Cografi bolge alarmlari listelenir. Bu metot ile tanimli olan cografi
     * bolgeye, aracin ne zaman giris/cikis yaptigi listelenmektedir. Sonuc XmlDocument tipinde doner. - Geographical region alarms are listed. This method lists when the vehicle entered/exited predefined geographical regions. Result returns as XmlDocument
     * type.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\RegionAlarmReturnObject $parameters
     * @return \StructType\RegionAlarmReturnObjectResponse|bool
     */
    public function RegionAlarmReturnObject(\StructType\RegionAlarmReturnObject $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->RegionAlarmReturnObject($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named RegionTravelReport
     * Meta information extracted from the WSDL
     * - documentation: Bolge Sefer Raporunu olusturur. Bolge sefer raporunda bolgeye giris zamani, bolgeden cikis zamani, bolge icinde gecen sure ve bolge icinde yapilan mesafe bilgileri raporlanir. MinInterval alani girilirse saniye cinsinden bolge icinde
     * gecen sure filtrelenmis olur. - It generates region Travel Report. Region travel report shows; time to enter/exit the region, duration within the region and distance information within the region. If the MinInterval field is entered the time within
     * regions filtered in second format. | Bolge Sefer Raporunu olusturur. Bolge sefer raporunda bolgeye giris zamani, bolgeden cikis zamani, bolge icinde gecen sure ve bolge icinde yapilan mesafe bilgileri raporlanir. MinInterval alani girilirse saniye
     * cinsinden bolge icinde gecen sure filtrelenmis olur. - It generates region Travel Report. Region travel report shows; time to enter/exit the region, duration within the region and distance information within the region. If the MinInterval field is
     * entered the time within regions filtered in second format. | Bolge Sefer Raporunu olusturur. Bolge sefer raporunda bolgeye giris zamani, bolgeden cikis zamani, bolge icinde gecen sure ve bolge icinde yapilan mesafe bilgileri raporlanir. MinInterval
     * alani girilirse saniye cinsinden bolge icinde gecen sure filtrelenmis olur. - It generates region Travel Report. Region travel report shows; time to enter/exit the region, duration within the region and distance information within the region. If the
     * MinInterval field is entered the time within regions filtered in second format.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\RegionTravelReport $parameters
     * @return \StructType\RegionTravelReportResponse|bool
     */
    public function RegionTravelReport(\StructType\RegionTravelReport $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->RegionTravelReport($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\RegionAlarmResponse|\StructType\RegionAlarmReturnObjectResponse|\StructType\RegionTravelReportResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
