<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Speed ServiceType
 * @subpackage Services
 */
class Speed extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named SpeedReport
     * Meta information extracted from the WSDL
     * - documentation: Cihazdan periyodik olarak gelen hiz bilgisinin gosterildigi rapordur. Bu metot ile aracin belli periyotlarla nerelerden kac km hiz ile gittigi gosterilir. - It is a report showing the speed information coming from the device
     * periodically. With this method, it is shown where the vehicle travels what speed within certain time period. | Cihazdan periyodik olarak gelen hiz bilgisinin gosterildigi rapordur. Bu metot ile aracin belli periyotlarla nerelerden kac km hiz ile
     * gittigi gosterilir. - It is a report showing the speed information coming from the device periodically. With this method, it is shown where the vehicle travels what speed within certain time period. | Cihazdan periyodik olarak gelen hiz bilgisinin
     * gosterildigi rapordur. Bu metot ile aracin belli periyotlarla nerelerden kac km hiz ile gittigi gosterilir. - It is a report showing the speed information coming from the device periodically. With this method, it is shown where the vehicle travels
     * what speed within certain time period.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SpeedReport $parameters
     * @return \StructType\SpeedReportResponse|bool
     */
    public function SpeedReport(\StructType\SpeedReport $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SpeedReport($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SpeedAlarm
     * Meta information extracted from the WSDL
     * - documentation: Hiz limiti asim alarmlarini listeler. Bu metot ile aracin nerede ne kadar hizla hiz alarmlarinin uretildigi gosterilmektedir. - Lists speed limit alarms. This method shows speed informations when speed alarms are generated along with
     * location information. | Hiz limiti asim alarmlarini listeler. Bu metot ile aracin nerede ne kadar hizla hiz alarmlarinin uretildigi gosterilmektedir. - Lists speed limit alarms. This method shows speed informations when speed alarms are generated
     * along with location information. | Hiz limiti asim alarmlarini listeler. Bu metot ile aracin nerede ne kadar hizla hiz alarmlarinin uretildigi gosterilmektedir. - Lists speed limit alarms. This method shows speed informations when speed alarms are
     * generated along with location information.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SpeedAlarm $parameters
     * @return \StructType\SpeedAlarmResponse|bool
     */
    public function SpeedAlarm(\StructType\SpeedAlarm $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SpeedAlarm($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SpeedAlarmReturnObject
     * Meta information extracted from the WSDL
     * - documentation: Hiz limiti asim alarmlarini listeler. Bu metot ile aracin nerede ne kadar hizla hiz alarmlarinin uretildigi gosterilmektedir. Sonuc XmlDocument tipinde doner. - Lists speed limit alarms. This method shows speed informations when
     * speed alarms are generated along with location information. Return Type is XmlDocument | Hiz limiti asim alarmlarini listeler. Bu metot ile aracin nerede ne kadar hizla hiz alarmlarinin uretildigi gosterilmektedir. Sonuc XmlDocument tipinde doner. -
     * Lists speed limit alarms. This method shows speed informations when speed alarms are generated along with location information. Return Type is XmlDocument | Hiz limiti asim alarmlarini listeler. Bu metot ile aracin nerede ne kadar hizla hiz
     * alarmlarinin uretildigi gosterilmektedir. Sonuc XmlDocument tipinde doner. - Lists speed limit alarms. This method shows speed informations when speed alarms are generated along with location information. Return Type is XmlDocument
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SpeedAlarmReturnObject $parameters
     * @return \StructType\SpeedAlarmReturnObjectResponse|bool
     */
    public function SpeedAlarmReturnObject(\StructType\SpeedAlarmReturnObject $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SpeedAlarmReturnObject($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SpeedAlarmV2
     * Meta information extracted from the WSDL
     * - documentation: Hiz alarmlarini listeler. Bu metot ile aracin nerede ne kadar hizla hiz alarmlarinin uretildigi gosterilmektedir. - It lists speed alerts. This method shows speed informations when the vehicle speed alarms are generated. | Hiz
     * alarmlarini listeler. Bu metot ile aracin nerede ne kadar hizla hiz alarmlarinin uretildigi gosterilmektedir. - It lists speed alerts. This method shows speed informations when the vehicle speed alarms are generated. | Hiz alarmlarini listeler. Bu
     * metot ile aracin nerede ne kadar hizla hiz alarmlarinin uretildigi gosterilmektedir. - It lists speed alerts. This method shows speed informations when the vehicle speed alarms are generated.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SpeedAlarmV2 $parameters
     * @return \StructType\SpeedAlarmV2Response|bool
     */
    public function SpeedAlarmV2(\StructType\SpeedAlarmV2 $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SpeedAlarmV2($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\SpeedAlarmResponse|\StructType\SpeedAlarmReturnObjectResponse|\StructType\SpeedAlarmV2Response|\StructType\SpeedReportResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
